Firefox 353 et mise à jour de Flash player sous Linux

Firefox 3.5.3 introduit une nouvelle fonctionnalité détectant votre version de flash player et indiquant si celle-ci est à mettre à jour… sauf que sous linux, la mise à jour est à faire à la main, à moins d’avoir une distribution fournissant le plugin et le mettant à jour. Mais si vous avez installé flash vous-même, à vous de faire la mise à jour.

Comment s’y prendre ?

1) télécharger install_flash_player_10_linux.tar.gz
2) le décompresser avec ark ou tar -xf install_flash_player_10_linux.tar.gz pour obtenir libflashplayer.so
3) fermer Firefox et sous le compte root copier les fichier libflashplayer.so dans /usr/lib/mozilla/plugins/
4) redémarrer Firefox, taper about:plugins dans la barre d’adresse. On doit maintenant trouver Shockwave Flash en version 10.0 r32

Voila.

Sinon, vous pouvez copier coller ces commandes :

wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.tar.gz
tar -xf install_flash_player_10_linux.tar.gz
su
cp libflashplayer.so /usr/lib/mozilla/plugins/libflashplayer.so

______
François, flashé

SMB sur Vista et 2008 – aux abris

Rigolo, mais bon, ça craint…

Slashdot publie un article sur un exploit découvert par un certain (*) Laurent Gaffié : une faille exploitable à distance affectant les Vista, Seven et 2008 serveur ayant les partages SMB activés.

Un script Python, et hop, la machine ciblée plante. Dans un grand réseau comme un campus, voila de quoi donner des sueurs froides.

Pas cool.

(*) : Il avait déja publié le 10 Aout une faille affectant wordpress <= 2.8.3  – Si vous avez un wordpress en ligne, mettez le à jour en 2.8.4 de toute urgence.
______
François, Python powered

Publié dans Informatique, Microsoft, Vista. Étiquettes : , . 1 Comment »